{ lib, buildPythonPackage, fetchFromGitea, python, setuptools-scm }:

buildPythonPackage rec {
  pname = "preserves";
  version = "unstable-2022-03-08";

  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "syndicate-lang";
    repo = pname;
    rev = "197359ff22fa701d8b497860e8eb84dba209e00e";
    sha256 = "sha256-1nlyqcNIDGuNzo5/ObjF4YIWbpD8lxgVFXcKM+Dv6PY=";
  };

  sourceRoot = "source/implementations/python";

  buildInputs = [ setuptools-scm ];

  postInstall =
    "install -t $out/lib/${python.libPrefix}/site-packages/preserves preserves/*.prb ";

  meta = src.meta // {
    homepage = "https://syndicate-lang.org";
    maintainers = with lib.maintainers; [ ehmry ];
  };
}
