{ lib, rustPlatform, rust, fetchCrate }:

rustPlatform.buildRustPackage rec {
  pname = "preserves-tool";
  # use the name of the actual utility so that
  # nix run …#preserves-tools works as expected.

  version = "2.3.0";
  src = fetchCrate {
    pname = "preserves-tools"; # name of the crate
    inherit version;
    sha256 = "sha256-I9dqY2pej/HRQg2VGkEoWKOlo4c9TYwk/jw23eN1nlU=";
  };
  cargoHash = "sha256-0UMGDoyfdEJQQDoUadbU6Ev6yA2k0sQHRvO/Z+4QF5g=";
  nativeBuildInputs = [ rust ];

  meta = {
    description = "Swiss army knife for working with Preserves documents";
    homepage = "https://preserves.gitlab.io/preserves/doc/preserves-tool.html";
    maintainers = with lib.maintainers; [ ehmry ];
  };
}
