{ lib, buildNimPackage, fetchFromGitea, fetchFromGitHub, preserves }:

let
  nimSHA2 = fetchFromGitHub {
    owner = "jangko";
    repo = "nimSHA2";
    rev = "b8f666069dff1ed0c5142dd1ca692f0e71434716";
    hash = "sha256-Wqb3mQ7638UOTze71mf6WMyGiw9qTwhbJiGGb+9OR2k=";
  };

in buildNimPackage rec {
  pname = "syndicate";
  version = "1.3.0";

  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "ehmry";
    repo = "${pname}-nim";
    rev = "nim-${pname}-${version}";
    hash = "sha256-VEVwbZLr+h+kbge7B7kmDUgt4URh+Lqm3yQ2U+g61ww=";
  };

  propagatedBuildInputs = [ nimSHA2 preserves ];

  meta = src.meta // {
    maintainers = [ lib.maintainers.ehmry ];
    license = lib.licenses.unlicense;
  };
}
